Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

route_id
string
required

Response

200 - application/json
id
string
required

Stable route identifier.

name
string
required

Immutable name to send in the inference request's model field.

team_id
string
required

Identifier of the owning team.

team_name
string
required

Name of the owning team.

display_name
string
required

Display label, defaulting to the route name.

description
string
required

Short description of the route, empty when unset.

target
RouteTargetBasetenModelAPIV1 · object
required

Configured upstream target.

invoke_url
string
required

Base URL for inference requests using this route.

created_at
string<date-time>
required

Creation time, ISO 8601.